Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sxpath
Class DedicatedStaticContext

    java.lang.Object
      net.sf.saxon.sxpath.AbstractStaticContext
          net.sf.saxon.sxpath.IndependentContext
              net.sf.saxon.sxpath.DedicatedStaticContext

All Implemented Interfaces:
  Serializable, SourceLocator, Container, StaticContext, NamespaceResolver, XPathStaticContext

Direct Known Subclasses:
  SchemaElement.XPathStaticContext

    public class DedicatedStaticContext

extends IndependentContext
implements Container

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.sxpath.IndependentContext
`autoDeclare, externalResolver, importedSchemaNamespaces, namespaces, requiredContextItemType, variables`

Fields inherited from class net.sf.saxon.sxpath.AbstractStaticContext
`usingDefaultFunctionLibrary`

Constructor Summary
`DedicatedStaticContext(Configuration config)`
`DedicatedStaticContext(IndependentContext ic)` Create a DedicatedStaticContext as a copy of an IndependentContext

Method Summary
`Executable` | `getExecutable()` Get the Executable (representing a complete stylesheet or query) of which this Container forms part
`void` | `setExecutable(Executable exec)`

Methods inherited from class net.sf.saxon.sxpath.IndependentContext
`bindVariable, clearAllNamespaces, clearNamespaces, declareNamespace, declareVariable, declareVariable, declareVariable, getContainerGranularity, getExternalVariable, getImportedSchemaNamespaces, getNamespaceResolver, getRequiredContextItemType, getSlotNumber, getStackFrameMap, getURIForPrefix, getURIForPrefix, isAllowUndeclaredVariables, isImportedSchema, iterateExternalVariables, iteratePrefixes, setAllowUndeclaredVariables, setImportedSchemaNamespaces, setNamespaceResolver, setNamespaces, setRequiredContextItemType`

Methods inherited from class net.sf.saxon.sxpath.AbstractStaticContext
`addFunctionLibrary, declareCollation, getBaseURI, getCollation, getColumnNumber, getConfiguration, getDecimalFormatManager, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getFunctionLibrary, getHostLanguage, getLineNumber, getLocationMap, getLocationProvider, getNamePool, getPublicId, getSystemId, getXPathLanguageLevel, isAllowedBuiltInType, isInBackwardsCompatibleMode, isSchemaAware, issueWarning, makeEarlyEvaluationContext, setBackwardsCompatibilityMode, setBaseURI, setConfiguration, setDecimalFormatManager, setDefaultElementNamespace, setDefaultFunctionLibrary, setDefaultFunctionNamespace, setFunctionLibrary, setLocationMap, setSchemaAware, setXPathLanguageLevel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.saxon.expr.Container
`getContainerGranularity, getHostLanguage, getLocationProvider`

Methods inherited from interface javax.xml.transform.SourceLocator
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Methods inherited from interface net.sf.saxon.sxpath.XPathStaticContext
`setDefaultElementNamespace`

Methods inherited from interface net.sf.saxon.expr.StaticContext
`getBaseURI, getCollation, getConfiguration, getDecimalFormatManager, getDefaultCollationName, getDefaultElementNamespace, getDefaultFunctionNamespace, getFunctionLibrary, getLineNumber, getLocationMap, getNamePool, getSystemId, getXPathLanguageLevel, isAllowedBuiltInType, isInBackwardsCompatibleMode, isSchemaAware, issueWarning, makeEarlyEvaluationContext`

Constructor Detail

### DedicatedStaticContext

    public DedicatedStaticContext(Configuration config)

### DedicatedStaticContext

    public DedicatedStaticContext(IndependentContext ic)

  Create a DedicatedStaticContext as a copy of an IndependentContext

  Parameters:
    `ic` - the IndependentContext to be copied

Method Detail

### setExecutable

    public void setExecutable(Executable exec)

### getExecutable

    public Executable getExecutable()

  Description copied from interface: `Container`
  Get the Executable (representing a complete stylesheet or query) of which this Container forms part

  Specified by:
    `getExecutable` in interface `Container`
  Returns:
    the executable

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.